Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.charts.timeperiod
Class BreakagesLineChart

    java.lang.Object
      com.atlassian.bamboo.charts.AbstractBambooChart
          com.atlassian.bamboo.charts.timeperiod.AbstractTimePeriodGroupedChart
              com.atlassian.bamboo.charts.timeperiod.BreakagesLineChart

All Implemented Interfaces:
  ChartBuilder

    public class BreakagesLineChart

extends AbstractTimePeriodGroupedChart

Field Summary

Fields inherited from class com.atlassian.bamboo.charts.timeperiod.AbstractTimePeriodGroupedChart
`DAY, MONTH, WEEK, YEAR`

Fields inherited from class com.atlassian.bamboo.charts.AbstractBambooChart
`chartTitle, contextPath, height, shortUrlUsed, width, xAxisLabel, yAxisLabel`

Constructor Summary
`BreakagesLineChart(int height, int width, String chartTitle, String xAxisLabel, String yAxisLabel)`
`BreakagesLineChart(int height, int width, String chartTitle, String xAxisLabel, String yAxisLabel, String periodRange)`
`BreakagesLineChart(int height, int width, String chartTitle, String xAxisLabel, String yAxisLabel, String periodRange, Map resultsMap)`

Method Summary
`protected TimePeriodCollater` | `createNewPeriod(Date buildDate, ResultStatisticsProvider result, String seriesName)`
`Map` | `generateChartParams()`
`String` | `generateToolTip(XYDataset xyDataset, int series, int item)`
`JFreeChart` | `getChart()`
`protected TimeTableXYDataset` | `populateDataSet(Collection results, TimeTableXYDataset dataset, String seriesName)`
`protected void` | `writeCounterToDataSet(TimeTableXYDataset dataset, TimePeriodCollater counter)`

Methods inherited from class com.atlassian.bamboo.charts.timeperiod.AbstractTimePeriodGroupedChart
`getAllPeriodsBetweenDates, getEarliestBuildDate, getLatestbuildDate, getPeriod, getPeriodRange, isInPeriod`

Methods inherited from class com.atlassian.bamboo.charts.AbstractBambooChart
`generateChartImage, generateChartImage, generateRandomMapName, getChartTitle, getContextPath, getHeight, getWidth, getxAxisLabel, getyAxisLabel, isShortUrlUsed, setChartTitle, setContextPath, setHeight, setShortUrlUsed, setWidth, setxAxisLabel, setyAxisLabel`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BreakagesLineChart

    public BreakagesLineChart(int height,
                              int width,
                              String chartTitle,
                              String xAxisLabel,
                              String yAxisLabel)

### BreakagesLineChart

    public BreakagesLineChart(int height,
                              int width,
                              String chartTitle,
                              String xAxisLabel,
                              String yAxisLabel,
                              String periodRange)

### BreakagesLineChart

    public BreakagesLineChart(int height,
                              int width,
                              String chartTitle,
                              String xAxisLabel,
                              String yAxisLabel,
                              String periodRange,
                              Map resultsMap)

Method Detail

### generateChartParams

    public Map generateChartParams()

### getChart

    public JFreeChart getChart()

### populateDataSet

    protected TimeTableXYDataset populateDataSet(Collection results,
                                                 TimeTableXYDataset dataset,
                                                 String seriesName)

  Overrides:
    `populateDataSet` in class `AbstractTimePeriodGroupedChart`

### generateToolTip

    public String generateToolTip(XYDataset xyDataset,
                                  int series,
                                  int item)

### createNewPeriod

    protected TimePeriodCollater createNewPeriod(Date buildDate,
                                                 ResultStatisticsProvider result,
                                                 String seriesName)

  Specified by:
    `createNewPeriod` in class `AbstractTimePeriodGroupedChart`

### writeCounterToDataSet

    protected void writeCounterToDataSet(TimeTableXYDataset dataset,
                                         TimePeriodCollater counter)

  Specified by:
    `writeCounterToDataSet` in class `AbstractTimePeriodGroupedChart`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.